output "backup_bucket_name" {
  description = "The name of the backup bucket."
  value       = scaleway_object_bucket.backup.name
}

output "backup_app_api_secret_key" {
  description = "The secret key for the backup API."
  value       = scaleway_iam_api_key.backup_app_api.secret_key
  sensitive   = true
}

output "backup_app_api_access_key" {
  description = "The access key for the backup API."
  value       = scaleway_iam_api_key.backup_app_api.access_key
  sensitive   = true
}

output "mail_app_api_secret_key" {
  description = "The secret key for the mail app API."
  value       = scaleway_iam_api_key.mail_app_api.secret_key
  sensitive   = true
}

output "sftpgo_app_api_access_key" {
  description = "The access key for the SFTPGo app API."
  value       = scaleway_iam_api_key.sftpgo_app_api.access_key
  sensitive   = true
}

output "sftpgo_app_api_secret_key" {
  description = "The secret key for the SFTPGo app API."
  value       = scaleway_iam_api_key.sftpgo_app_api.secret_key
  sensitive   = true
}
